Bug 124365 - [PATCH] graphics/GraphicsMagick: update to 1.2.3, take maintainership
Summary: [PATCH] graphics/GraphicsMagick: update to 1.2.3, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-07 00:00 UTC by Greg Larkin
Modified: 2008-07-28 23:30 UTC (History)
1 user (show)

See Also:


Attachments
GraphicsMagick-1.2.3.patch (19.88 KB, patch)
2008-06-07 00:00 UTC, Greg Larkin
no flags Details | Diff
GM.new.patch (20.94 KB, patch)
2008-06-11 23:28 UTC, Greg Larkin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Larkin 2008-06-07 00:00:12 UTC
- Update to 1.2.3
- Take maintainership

Added file(s):
- files/patch-configure.in

Removed file(s):
- files/patch-configure
- files/patch-magick_symbols.h
- files/patch-newfpx

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-06-07 00:00:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Greg Larkin 2008-06-11 23:28:52 UTC
Hi there,

Please replace the original PR patch file with the one attached to this
message.  I received some performance improvement suggestions from the
upstream package developer and incorporated them into the port Makefile.

Thank you,
Greg Larkin
Comment 3 dfilter service freebsd_committer 2008-06-25 06:13:55 UTC
beech       2008-06-25 05:13:50 UTC

  FreeBSD ports repository

  Modified files:
    graphics/GraphicsMagick Makefile distinfo pkg-plist 
    graphics/GraphicsMagick/files patch-Makefile.in 
  Added files:
    graphics/GraphicsMagick/files patch-configure.in 
  Removed files:
    graphics/GraphicsMagick/files patch-configure 
                                  patch-magick_symbols.h 
                                  patch-newfpx 
  Log:
  - Update to 1.2.3
  - Pass  maintainership to submitter
  
  Added file(s):
  - files/patch-configure.in
  
  Removed file(s):
  - files/patch-configure
  - files/patch-magick_symbols.h
  - files/patch-newfpx
  
  PR:             ports/124365
  Submitted by:   Greg Larkin <glarkin@sourcehosting.net>
  
  Revision  Changes    Path
  1.20      +11 -13    ports/graphics/GraphicsMagick/Makefile
  1.7       +3 -3      ports/graphics/GraphicsMagick/distinfo
  1.4       +14 -83    ports/graphics/GraphicsMagick/files/patch-Makefile.in
  1.2       +0 -23     ports/graphics/GraphicsMagick/files/patch-configure (dead)
  1.1       +20 -0     ports/graphics/GraphicsMagick/files/patch-configure.in (new)
  1.2       +0 -19     ports/graphics/GraphicsMagick/files/patch-magick_symbols.h (dead)
  1.2       +0 -20     ports/graphics/GraphicsMagick/files/patch-newfpx (dead)
  1.6       +44 -38    ports/graphics/GraphicsMagick/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Beech Rintoul freebsd_committer 2008-06-25 06:14:11 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 5 Bob Friesenhahn 2008-06-30 05:03:07 UTC
GraphicsMagick 1.2.4 was released today with more bug/security fixes. 
Meanwhile it seems that advancement of the FreeBSD port to 1.2.X is 
still stalled.  Is there a way that I can help unstall it?  Do you 
know what the hold up is?

Bob

On Wed, 11 Jun 2008, Greg Larkin wrote:

> Hi there,
>
> Please replace the original PR patch file with the one attached to this
> message.  I received some performance improvement suggestions from the
> upstream package developer and incorporated them into the port Makefile.
>
> Thank you,
> Greg Larkin
>
>

======================================
Bob Friesenhahn
bfriesen@simple.dallas.tx.us, http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/
Comment 6 Greg Larkin 2008-06-30 21:36:23 UTC
> -----Original Message-----
> From: Bob Friesenhahn [mailto:bfriesen@simple.dallas.tx.us] 
> 
> 
> 
> On Wed, 11 Jun 2008, Greg Larkin wrote:
> 
> > Hi there,
> >
> > Please replace the original PR patch file with the one attached to 
> > this message.  I received some performance improvement suggestions 
> > from the upstream package developer and incorporated them 
> into the port Makefile.
> >
> > Thank you,
> > Greg Larkin
> >
> >
> GraphicsMagick 1.2.4 was released today with more bug/security fixes. 
> Meanwhile it seems that advancement of the FreeBSD port to 
> 1.2.X is still stalled.  Is there a way that I can help 
> unstall it?  Do you know what the hold up is?
> 
> Bob

Hi Bob,

I made a mistake with the GraphicsMagick PR to upgrade it to 1.2.3.  Even
after learning the reason that the previous maintainer quit, I failed to
realize the significance of the shared library dependencies.  That was a big
mistake on my part!

Apparently, the API in 1.2.x is different enough from 1.1.x that my port
upgrade broke the KOffice port.  After a few emails back and forth last
week, I asked a committer to revert the GM port to 1.1.12 while I first
prepare to upgrade it to 1.1.14 and then request a repocopy so I can begin
to support the 1.2.x baseline in a separate directory.

The FreeBSD ports tree will then contain:

graphics/GraphicsMagick
graphics/GraphicsMagick12

This will allow the ports with GM dependencies to migrate to 1.2.x as their
needs dictate.

I'm setting up a new ports environment here, but I hope to file the revised
PRs within the week.

Regards,
Greg
Comment 7 Bob Friesenhahn 2008-06-30 23:05:45 UTC
On Mon, 30 Jun 2008, Greg Larkin wrote:
> Hi Bob,
>
> I made a mistake with the GraphicsMagick PR to upgrade it to 1.2.3.  Even
> after learning the reason that the previous maintainer quit, I failed to
> realize the significance of the shared library dependencies.  That was a big
> mistake on my part!
>
> Apparently, the API in 1.2.x is different enough from 1.1.x that my port
> upgrade broke the KOffice port.  After a few emails back and forth last
> week, I asked a committer to revert the GM port to 1.1.12 while I first
> prepare to upgrade it to 1.1.14 and then request a repocopy so I can begin
> to support the 1.2.x baseline in a separate directory.

I understand the issue in the Krita code and reported it as a bug to 
the KOffice project shortly after 1.2 was released.  It is really just 
a small bit of code (for embedded profiles) which is involved.  The 
Krita folks were aware that they were using a deprecated interface 
when they wrote the code.  Probably less than 10 lines are impacted. 
Another avenue is to create a patch to the Krita driver so that it can 
work with newer GraphicsMagick.  I think that it can be written to 
work with older GraphicsMagick as well.  However, it is possible that 
some other code is using the same old interfaces.  It is useful to 
know if there are additional packages with problems.

> The FreeBSD ports tree will then contain:
>
> graphics/GraphicsMagick
> graphics/GraphicsMagick12

This is really expensive for everyone involved and I don't have the 
resources available to continue pushing out security fixes for the 1.1 
branch now that the 1.2 branch has had four releases already.  It 
seems wrong to put some FreeBSD users at risk due to KOffice.  Yes, 
there are security issues and there will always be security issues for 
this kind of software.  It would be wrong of me to attempt to hide it.

Can we please consider the patch approach and the Krita driver can be 
re-built (along with anything depending on it) if someone updates the 
GraphicsMagick port?

I know that KOffice chose to use GraphicsMagick because it is more 
stable but it seems that ImageMagick has had no problems with pushing 
out new releases on FreeBSD and it is much less stable.

Bob
======================================
Bob Friesenhahn
bfriesen@simple.dallas.tx.us, http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/
Comment 8 Greg Larkin 2008-07-02 05:03:10 UTC
> -----Original Message-----
> From: Bob Friesenhahn [mailto:bfriesen@simple.dallas.tx.us] 
> 
> On Mon, 30 Jun 2008, Greg Larkin wrote:
> > Hi Bob,
> >
> > I made a mistake with the GraphicsMagick PR to upgrade it 
> to 1.2.3.  
> > Even after learning the reason that the previous maintainer quit, I 
> > failed to realize the significance of the shared library 
> dependencies.  
> > That was a big mistake on my part!
> >
> > Apparently, the API in 1.2.x is different enough from 1.1.x that my 
> > port upgrade broke the KOffice port.  After a few emails back and 
> > forth last week, I asked a committer to revert the GM port 
> to 1.1.12 
> > while I first prepare to upgrade it to 1.1.14 and then request a 
> > repocopy so I can begin to support the 1.2.x baseline in a 
> separate directory.
> 
> I understand the issue in the Krita code and reported it as a 
> bug to the KOffice project shortly after 1.2 was released.  
> It is really just a small bit of code (for embedded profiles) 
> which is involved.  The Krita folks were aware that they were 
> using a deprecated interface when they wrote the code.  
> Probably less than 10 lines are impacted. 
> Another avenue is to create a patch to the Krita driver so 
> that it can work with newer GraphicsMagick.  I think that it 
> can be written to work with older GraphicsMagick as well.  
> However, it is possible that some other code is using the 
> same old interfaces.  It is useful to know if there are 
> additional packages with problems.
> 
> > The FreeBSD ports tree will then contain:
> >
> > graphics/GraphicsMagick
> > graphics/GraphicsMagick12
> 
> This is really expensive for everyone involved and I don't 
> have the resources available to continue pushing out security 
> fixes for the 1.1 branch now that the 1.2 branch has had four 
> releases already.  It seems wrong to put some FreeBSD users 
> at risk due to KOffice.  Yes, there are security issues and 
> there will always be security issues for this kind of 
> software.  It would be wrong of me to attempt to hide it.
> 
> Can we please consider the patch approach and the Krita 
> driver can be re-built (along with anything depending on it) 
> if someone updates the GraphicsMagick port?
> 
> I know that KOffice chose to use GraphicsMagick because it is 
> more stable but it seems that ImageMagick has had no problems 
> with pushing out new releases on FreeBSD and it is much less stable.
> 

Hi Bob,

I'm not familiar with the Krita/GraphicsMagick issues, and I don't disagree
that the ideal scenario is for all ports dependent on GraphicsMagick to
upgrade their code to comply with your 1.2.x baseline.

However, the 1.1.x baseline is still available for download from your web
site, and I don't have the authority to request other ports and upstream
packages to adopt GraphicsMagick 1.2.x.  Until 1.1.x is unavailable for
download, I feel that the best solution is to place 1.1.x and 1.2.x in the
ports tree and add a note to /usr/ports/UPDATING to encourage dependent
ports to migrate to 1.2.x.  

Once 1.1.x and 1.2.x are both available, I hope that will make it a lot
easier for you to lobby KOffice developers and others to adopt 1.2.x.
Otherwise, a lot more coordination is needed between the various port
maintainers, as I learned over the past couple of weeks.

I plan to submit a PR to upgrade the existing FreeBSD port from 1.1.12 to
1.1.14 and then request the repocopy so I can make a new port for 1.2.4.  As
you release additional stable versions in either baseline, I will track them
closely and submit more PRs.

I look forward to your feedback when you have a moment.

Regards,
Greg
Comment 9 Bob Friesenhahn 2008-07-02 06:47:47 UTC
On Wed, 2 Jul 2008, Greg Larkin wrote:
>
> I'm not familiar with the Krita/GraphicsMagick issues, and I don't disagree
> that the ideal scenario is for all ports dependent on GraphicsMagick to
> upgrade their code to comply with your 1.2.x baseline.

There is four more years of work in that baseline so clearly it is 
improved.

> However, the 1.1.x baseline is still available for download from your web
> site, and I don't have the authority to request other ports and upstream
> packages to adopt GraphicsMagick 1.2.x.  Until 1.1.x is unavailable for
> download, I feel that the best solution is to place 1.1.x and 1.2.x in the
> ports tree and add a note to /usr/ports/UPDATING to encourage dependent
> ports to migrate to 1.2.x.

Ok.  I do know that Krita was not planning to make another minor 
release and expected to pick up newer GM with a more major release.

> Once 1.1.x and 1.2.x are both available, I hope that will make it a lot
> easier for you to lobby KOffice developers and others to adopt 1.2.x.
> Otherwise, a lot more coordination is needed between the various port
> maintainers, as I learned over the past couple of weeks.

It seems that GM is a victim of its own success. :-) Before Krita 
switched to GM, it was apparently needing to update its code to adapt 
to latest ImageMagick every few weeks.

> I plan to submit a PR to upgrade the existing FreeBSD port from 1.1.12 to
> 1.1.14 and then request the repocopy so I can make a new port for 1.2.4.  As
> you release additional stable versions in either baseline, I will track them
> closely and submit more PRs.

I very much appreciate your assistance.

Bob
======================================
Bob Friesenhahn
bfriesen@simple.dallas.tx.us, http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/
Comment 10 Bob Friesenhahn 2008-07-27 20:41:27 UTC
Yesterday I released GraphicsMagick 1.2.5.  GraphicsMagick 1.2 was 
released in April after a vast amount of testing.  All GraphicsMagick 
1.2 releases are binary compatible and thoroughly tested on FreeBSD.

New ImageMagick releases seem to be incorporated into FreeBSD releases 
whenever they appear.  What is keeping GraphicsMagick 1.2.X from being 
integrated into FreeBSD ports?

Thanks,

Bob

On Wed, 11 Jun 2008, Greg Larkin wrote:

> Hi there,
>
> Please replace the original PR patch file with the one attached to this
> message.  I received some performance improvement suggestions from the
> upstream package developer and incorporated them into the port Makefile.
>
> Thank you,
> Greg Larkin
>
>

======================================
Bob Friesenhahn
bfriesen@simple.dallas.tx.us, http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/
Comment 11 Greg Larkin 2008-07-28 22:41:24 UTC
Hi Bob,

Thank you for getting in touch, and I am aware of the delay upgrading
GraphicsMagick in the ports tree - both the 1.1.x and 1.2.x baselines.

I recently received my ports tree commit bit, and strangely, that has
delayed the 1.1.14 upgrade, which then lays the foundation for the inclusion
of 1.2.5 into the tree.  I started the 1.1.14 upgrade near the time that I
received the commit bit, and I have been temporarily refocused on absorbing
many new processes and committing much simpler port changes to the tree.

Rest assured, I have not forgotten about GraphicsMagick, and it is the very
first port that I will tackle when my FreeBSD tinderbox environment is set
up in the next couple of days.  I'm reluctant to commit any GM changes to
the tree until I run a complete build/test under tinderbox, including
dependent ports.  I want to make sure that nothing breaks before the commit.

I appreciate your patience, and once the 1.1.14 and 1.2.5 bits are
committed, future port upgrades will be much quicker, as I typically upgrade
my ports within 5-7 days of new upstream releases.

Best regards,
Greg
Comment 12 Bob Friesenhahn 2008-07-28 23:20:30 UTC
On Mon, 28 Jul 2008, Greg Larkin wrote:

> Hi Bob,
>
> Thank you for getting in touch, and I am aware of the delay upgrading
> GraphicsMagick in the ports tree - both the 1.1.x and 1.2.x baselines.
>
> I recently received my ports tree commit bit, and strangely, that has
> delayed the 1.1.14 upgrade, which then lays the foundation for the inclusion
> of 1.2.5 into the tree.  I started the 1.1.14 upgrade near the time that I
> received the commit bit, and I have been temporarily refocused on absorbing
> many new processes and committing much simpler port changes to the tree.

1.1.14 fixes quite a few issues which are present in 1.1.12, including 
some "security" issues.  It is very much needed for server sites which 
allow users to upload files.  It is quite trivial to cause a hung 
process, or a crash, by uploading a bogus file.  The blackhats will 
have no difficulty with finding these files.

1.2.5 fixes many more issues.  After supporting 1.1.X for so long, and 
given that 1.2.X has been out for a while and I am working on 1.3, I 
have run out of energy to support 1.1.X for anything but critical 
fixes.

> Rest assured, I have not forgotten about GraphicsMagick, and it is the very
> first port that I will tackle when my FreeBSD tinderbox environment is set
> up in the next couple of days.  I'm reluctant to commit any GM changes to
> the tree until I run a complete build/test under tinderbox, including
> dependent ports.  I want to make sure that nothing breaks before the commit.

I am very glad to hear that.  I will try to make things as easy for 
you as possible.

Bob
======================================
Bob Friesenhahn
bfriesen@simple.dallas.tx.us, http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/